Set the sent webhook
POST/webhooks/sent-webhook-url
The API endpoint registers the URL called when a submission is sent (i.e. after a successful POST /signatures). The URL is stored on the current token.
Request Body Properties
- url String — required
The endpoint that will receive the webhookPOST.
📘
Content-Type : application/json
NodeJS
var axios = require("axios").default;
const data = { "url": "https://your-app.example.com/webhooks/digit" };
var options = {
method: 'POST',
url: 'https://api.signature.nc/api/v3/webhooks/sent-webhook-url',
headers: {'Authorization': 'Bearer {apiKey}', 'content-type': 'application/json'},
data: data
};
axios.request(options).then(function (response) {
console.log(response.data);
}).catch(function (error) {
console.error(error);
});json
{
"sentWebhookUrl": "https://your-app.example.com/webhooks/digit"
}Errors
400"url is required"— missing or emptyurl.